"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const Slider = (props) => {
    const { max, min, onChange } = props;
    const [value, setValue] = (0, react_1.useState)(props.value);
    (0, react_1.useEffect)(() => {
        if (props.value !== value) {
            setValue(props.value);
        }
    }, [props.value]);
    const handleChange = (e) => {
        if (onChange) {
            onChange(parseInt(e.currentTarget.value), e);
        }
        setValue(parseInt(e.currentTarget.value));
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("input", { type: "range", className: "appearance-none w-full h-4 bg-gray-100 mb-3 rounded-lg", max: max, min: min, value: value, onChange: handleChange }),
        value,
        " / ",
        max));
};
Slider.displayName = 'Slider';
exports.default = Slider;
