"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddModalButton = void 0;
const react_1 = __importDefault(require("react"));
const Button_1 = require("../../Button");
const useModal_1 = require("../useModal");
const AddModalButton = (_a) => {
    var { status, title } = _a, props = __rest(_a, ["status", "title"]);
    const [openModal] = (0, useModal_1.useModal)(props.id, Object.assign(Object.assign({}, props), { title: props.modalTitle }));
    return react_1.default.createElement(Button_1.Button, { label: title, onClick: openModal, status: status });
};
exports.AddModalButton = AddModalButton;
